<?xml version="1.0" encoding="UTF-8"?>
<domain-models xmlns="http://axelor.com/xml/ns/domain-models"
  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
  xsi:schemaLocation="http://axelor.com/xml/ns/domain-models
  https://axelor.com/xml/ns/domain-models/domain-models_6.0.xsd">

  <module name="human-resource" package="com.axelor.apps.hr.db"/>
  <entity name="Shift">
    <integer name="shift" title="Shift" min="0" max="3"/>
    <string name="shiftName" title="Shift name" namecolumn="true"/>
    <time name="startHour" title="Start Hour"/>
    <time name="endHour" title="End Hour"/>
    <time name="enterMin" title="Minimum Entry Time"/>
    <time name="enterMax" title="Maximum Entry Time"/>
    <time name="maxTimeLateArrival" title="Max Time for Late Arrival"/>
    <time name="maxTimeEarlyDeparture" title="Max Time for Early Departure"/>
    <time name="startPause" title="Start Time for Break"/>
    <time name="endPause" title="End Time for Break"/>
    
    <one-to-many name="dailyReportList" ref="com.axelor.apps.hr.db.DailyReport " title="Rapports Journalier" mappedBy="shift"/>
    <one-to-many name="employee" ref="com.axelor.apps.hr.db.Employee" title="Employees" mappedBy="initialShift"/>
    <track>
			<field name="startHour"/>
			<field name="endHour"/>
			<field name="enterMin"/>
			<field name="enterMax"/>
      <field name="maxTimeLateArrival"/>
      <field name="maxTimeEarlyDeparture"/>
		</track>
  </entity>
</domain-models>
